WindowSlider Struct Reference

## Public Member Functions

| WindowSlider (const Integer &expIn, bool fastNegate, unsigned int windowSizeIn=0)
void | FindNextWindow ()

## Public Attributes

Integer | exp
Integer | windowModulus
unsigned int | windowSize
unsigned int | windowBegin
word32 | expWindow
bool | fastNegate
bool | negateNext
bool | firstTime
bool | finished

## Detailed Description

Definition at line 206 of file algebra.cpp.

## Constructor & Destructor Documentation

## WindowSlider()

WindowSlider::WindowSlider | ( | const Integer & | expIn,
|  | bool | fastNegate,
|  | unsigned int | windowSizeIn = `0`
| ) |  |

inline

Definition at line 208 of file algebra.cpp.

## Member Function Documentation

## FindNextWindow()

void WindowSlider::FindNextWindow | ( |  | ) |

inline

Definition at line 220 of file algebra.cpp.

## Member Data Documentation

## exp

Integer WindowSlider::exp

Definition at line 249 of file algebra.cpp.

## windowModulus

Integer WindowSlider::windowModulus

Definition at line 249 of file algebra.cpp.

## windowSize

unsigned int WindowSlider::windowSize

Definition at line 250 of file algebra.cpp.

## windowBegin

unsigned int WindowSlider::windowBegin

Definition at line 250 of file algebra.cpp.

## expWindow

word32 WindowSlider::expWindow

Definition at line 251 of file algebra.cpp.

## fastNegate

bool WindowSlider::fastNegate

Definition at line 252 of file algebra.cpp.

## negateNext

bool WindowSlider::negateNext

Definition at line 252 of file algebra.cpp.

## firstTime

bool WindowSlider::firstTime

Definition at line 252 of file algebra.cpp.

## finished

bool WindowSlider::finished

Definition at line 252 of file algebra.cpp.

The documentation for this struct was generated from the following file:

- algebra.cpp